Subject: bug#32035: 27.0.50; master; tcl-mode indentation broken in namespaces

From: Bruce Stephens <[email-masked]>
Date: Mon, 02 Jul 2018 16:02:26 +0100

With a file in tcl-mode (foo.tcl, say), I enter

namespace eval Foo {
variable foo

I would expect the second line to be indented (basically because of the
{, indicating it's beginning the namespace), but now it has indentation
0.

If I revert commit cd5bb4bf3dbad8941d25823f398b595b8f0edbb9, "Fix two
tcl-mode defun-related bugs" (which fixes #23565) then I get the
expected indentation.

In GNU Emacs 27.0.50 (build 1, x86_64-pc-linux-gnu, GTK+ Version 3.22.30)
 of 2018-07-02, modified by Debian built on tinier
Windowing system distributor 'The X.Org Foundation', version 11.0.11906000
System Description: Debian GNU/Linux buster/sid